> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-generated-references-typescript-bindings-u.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/dso-sequencers

> Retrieve Canton sequencer configuration for all SVs, grouped by
connected synchronizer ID




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/dso-sequencers
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/dso-sequencers:
    get:
      tags:
        - external
        - scan
      summary: GET /v0/dso-sequencers
      description: |
        Retrieve Canton sequencer configuration for all SVs, grouped by
        connected synchronizer ID
      operationId: listDsoSequencers
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDsoSequencersResponse'
components:
  schemas:
    ListDsoSequencersResponse:
      type: object
      required:
        - domainSequencers
      properties:
        domainSequencers:
          type: array
          items:
            $ref: '#/components/schemas/DomainSequencers'
    DomainSequencers:
      type: object
      required:
        - domainId
        - sequencers
      properties:
        domainId:
          description: the synchronizer ID for the associated sequencers
          type: string
        sequencers:
          description: the sequencers associated with the synchronizer
          type: array
          items:
            $ref: '#/components/schemas/DsoSequencer'
    DsoSequencer:
      type: object
      required:
        - migrationId
        - id
        - url
        - svName
        - availableAfter
      properties:
        migrationId:
          description: |
            The synchronizer migration id corresponding to this sequencer.
            Set to -1 if serial is set.
          type: integer
          format: int64
        synchronizerSerial:
          description: |
            The synchronizer serial corresponding to this sequencer.
            One of migrationId or serialId will be set.
          type: integer
          format: int64
        id:
          description: The id of the sequencer.
          type: string
        url:
          description: The public accessible url of the sequencer.
          type: string
        svName:
          description: The sequencer's operating SV name.
          type: string
        availableAfter:
          description: |
            Any participant should subscribe to this sequencer after this time.
          type: string
          format: date-time

````